## ros-kinetic-pr2-gripper-sensor 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gripper_sensor)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-pr2-gripper-sensor (1.0.10-0xenial) xenial; urgency=high

  * Merge pull request #14 <https://github.com/pr2/pr2_gripper_sensor/issues/14> from PR2/fix_maintainer
    change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * set license of pr2_gripper_sensor to BSD
  * change maintainer to mailto:ros-orphaned-packages@googlegroups.com
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 11 Jul 2018 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.9-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 21 Jun 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.8-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 01 Jun 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.7-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 25 Mar 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.6-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Mon, 16 Mar 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.5-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.4-0xenial) xenial; urgency=high

  * Added dependency on rosrt library and updated the CMake structure
  * Forgot to make this a metapackage.. oops
  * Daily commit
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Sun, 02 Nov 2014 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.3-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 15:00:00 -0000

ros-kinetic-pr2-gripper-sensor (1.0.2-0xenial) xenial; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 09 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-gripper-sensor
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-gripper-sensor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-pr2-gripper-sensor-action, ros-kinetic-pr2-gripper-sensor-controller, ros-kinetic-pr2-gripper-sensor-msgs
Description: The pr2_gripper_sensor package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-gripper-sensor//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
